Subject: bug#76525: Re: bug#76525: Warnings given when emacs is installed in a directory containing non-ASCII characters on Windows

From: Sc Sg <[email-masked]>
Date: Wed, 26 Feb 2025 00:22:12 +0100

The real directory shows in explorer is C:\Users\שזדס\scoop\apps\emacs\current\bin

I tried the following:
* Setting the codepage to 1255; did nothing
* Changing the locale to Hebrew within Control Panel: here's the console output after I changed it:

C:\Users\שזדס>chcp
Active code page: 862

C:\Users\שזדס>emacs
Loading loadup.el (source)...
Dump mode: nil
Using load-path (c:/Users/\327\251\327\226\327\223\327\241/scoop/apps/emacs/current/share/emacs/30.1/site-lisp c:/Users/\327\251\327\226\327\223\327\241/scoop/apps/emacs/current/share/emacs/site-lisp c:/Users/\327\251\327\226\327\223\327\241/scoop/apps/emacs/current/share/emacs/30.1/lisp c:/Users/\327\251\327\226\327\223\327\241/scoop/apps/emacs/current/share/emacs/30.1/lisp/emacs-lisp c:/Users/\327\251\327\226\327\223\327\241/scoop/apps/emacs/current/share/emacs/30.1/lisp/progmodes c:/Users/\327\251\327\226\327\223\327\241/scoop/apps/emacs/current/share/emacs/30.1/lisp/language c:/Users/\327\251\327\226\327\223\327\241/scoop/apps/emacs/current/share/emacs/30.1/lisp/international c:/Users/\327\251\327\226\327\223\327\241/scoop/apps/emacs/current/share/emacs/30.1/lisp/textmodes c:/Users/\327\251\327\226\327\223\327\241/scoop/apps/emacs/current/share/emacs/30.1/lisp/vc)
Wrong type argument: stringp, nil

> Sent: Tuesday, February 25, 2025 at 8:36 PM
> From: "Eli Zaretskii" <[email-masked]>
> To: "Sc Sg" <[email-masked]>
> Cc: [email-masked]
> Subject: Re: bug#76525: Warnings given when emacs is installed in a directory containing non-ASCII characters on Windows
> 
> > From: Sc Sg <[email-masked]>
> > Cc: [email-masked]
> > Date: Tue, 25 Feb 2025 19:03:55 +0100
> > 
> > Setting the codepage to 1252 via chcp does not work; the same error shows. Unsetting UTF-8 as my
> > system's codepage
> > shows a different error: emacs: could not load dump file
> > "C:\Users\????\scoop\apps\emacs\current\bin\emacs.pdmp": Invalid argument
> 
> I asked you what is the real name of that directory.  Can you tell me
> what is its name as shown by the Windows File Explorer?  Codepage 1252
> supports only Western European scripts, so if the name of the above
> directory needs other characters, 1252 will not work.
> 
> An alternative is to install Emacs 31, if you can find a Windows build
> of it somewhere.  (Or build it yourself, if you can.)  I believe this
> problem should be solved there.